Skip to main content
GET
Get segment by token

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowClient Credentials
Token URL
https://console.vantage.sh/account/profile
Scopes1
read
Grants read access

Path Parameters

segment_token
string
required

Response

Segment model

token
string
required
title
string
required

The title of the Segment.

Example:

"OPEX"

parent_segment_token
string | null
required

The token of the parent Segment of this Segment.

description
string
required

The description of the Segment.

Example:

"Operating expenses"

track_unallocated
boolean
required

Track Unallocated Costs which are not assigned to any of the created Segments.

Example:

false

priority
integer<int32>
required

Costs are assigned in priority order across all Segments with assigned filters.

Example:

100

filter
string | null
required

The filter applied to the Segment. Additional documentation available at https://docs.vantage.sh/vql.

created_at
string
required

The date and time, in UTC, the Segment was created. ISO 8601 Formatted.

Example:

"2021-07-09T00:00:00Z"

workspace_token
string
required

The token for the Workspace the Segment is a part of.

report_token
string | null
required

The token for the Report the Segment has generated.

report_settings
object

Report settings configurable on top-level Segments.